Subject: Re: [bug#73515] Ready to merge qt-team branch?

From: Steve George <[email-masked]>
Date: Mon, 11 Nov 2024 21:07:16 +0000

On 11 Nov, Christopher Baines wrote:
> Steve George <[email-masked]> writes:
(...) 
> The QA data service has processed the tip of qt-team, that's how it's
> able to provide substitute information.
> 
> Also, looks like it's based on 3dc63f8ca7af8d4fee32a03c206b571896a3a70a
> which is a few days old, so I'm guessing it was rebased a couple of days
> ago.
> 
> The qa-frontpage has just finished canceling all the old builds that I
> guess were submitted prior to the rebase, so hopefully some builds will
> start happening soon.
> 
> > I'm assuming this is partially why CI's substitutes available is so bad.
> 
> I think CI has substitute availability comparable with master, which
> seems good to me at least regarding the merge of qt-team, it's bordeaux
> which is further behind.

Ah! thanks for the explanation Chris.

What's a reasonable level to wait for before a branch is merged? Master is at 96% on CI, and 92% on bordeaux right, so should we wait for the QT branch to get to the same point? And, is there a rule of thumb for the other architectures?

Steve